Source: libpoe-component-jabber-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl,
               perl
Build-Depends-Indep: libauthen-sasl-perl <!nocheck>,
                     libpoe-component-pubsub-perl <!nocheck>,
                     libpoe-component-sslify-perl <!nocheck>,
                     libpoe-filter-xml-perl <!nocheck>,
                     libpoe-perl <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libpoe-component-jabber-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libpoe-component-jabber-perl.git
Homepage: https://metacpan.org/release/POE-Component-Jabber
Rules-Requires-Root: no

Package: libpoe-component-jabber-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libauthen-sasl-perl,
         libpoe-component-pubsub-perl,
         libpoe-component-sslify-perl,
         libpoe-filter-xml-perl,
         libpoe-perl
Description: pOE Component for communicating over Jabber
 POE::Component::Jabber is a module that simplies for the POE developer, access
 to the Jabber protocol through the use of one of the four Client classes. With
 built in events for common Jabber packets, all a POE developer need do is
 provide an event and arguments for most events so the responses to the
 requests can be properly handled by the coder.
 .
 Please see the Client classes for more detailed descriptions of the events
 provided.
